org.apache.hadoop.mapreduce.v2.app.job.event

## Class TaskTAttemptEvent

- java.lang.Object
- - org.apache.hadoop.yarn.event.AbstractEvent<TaskEventType>
  - - org.apache.hadoop.mapreduce.v2.app.job.event.TaskEvent
    - - org.apache.hadoop.mapreduce.v2.app.job.event.TaskTAttemptEvent

- All Implemented Interfaces:
    org.apache.hadoop.yarn.event.Event<TaskEventType>
  Direct Known Subclasses:
    TaskTAttemptFailedEvent, TaskTAttemptKilledEvent

      public class TaskTAttemptEvent
      extends TaskEvent

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskTAttemptEvent(org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptId id, TaskEventType type)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptId` | `getTaskAttemptID()`

    - ### Methods inherited from class org.apache.hadoop.mapreduce.v2.app.job.event.TaskEvent

      `getTaskID`

    - ### Methods inherited from class org.apache.hadoop.yarn.event.AbstractEvent

      `getTimestamp, getType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskTAttemptEvent

          public TaskTAttemptEvent(org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptId id,
                                   TaskEventType type)

  - ### Method Detail

    - #### getTaskAttemptID

          public org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptId getTaskAttemptID()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.